---
type: api
title: Delete organization memberships
description: Deletes one or more organization memberships. Currently unavailable in self-hosted ECE.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud/operation/operation-delete-organization-memberships
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud/operation/operation-delete-organization-memberships
products:
  - Elastic Cloud Hosted
---

# Delete organization memberships

- Server: `https://api.elastic-cloud.com/api/v1`

## Paths

- `DELETE` `/organizations/{organization_id}/members/{user_ids}`

#### Path Parameters

- `organization_id` (string)
  Identifier for the Organization
- `user_ids` (string)
  CSV list of User identifiers

## Description

Deletes one or more organization memberships. Currently unavailable in self-hosted ECE.

## Query String Parameters

- `force` (boolean · default: false)
  Whether or not to force the removal of Org memberships (effective only for Platform Admins)

## Responses

#### `200`

Organization membership deleted successfully

`application/json`

Type: `EmptyResponse`

#### `404`

* User not found. (code: `user.not_found`)
* Organization not found. (code: `organization.not_found`)
* Organization membership not found. (code: `organization.membership_not_found`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

## Code Examples

#### Console

```console
DELETE /organizations/{organization_id}/members/{user_ids}
```

#### curl

```curl
curl -X DELETE "https://api.elastic-cloud.com/api/v1/organizations/{organization_id}/members/{user_ids}"
```

